<?php
    /*
    Plugin Name: Climate Friendly Cart
    Plugin URI: https://www.brightness-group.com/en
    Description: Description for Carboclick Climate Friendly Cart Plugin
    Author: CarbonClick
    Version: 1.0.0
    Author URI: https://www.carbonclick.com/
    */

    // Preventing to direct access
    defined( 'ABSPATH' ) OR die( 'Direct access not acceptable!' );

    global $topup_currency_code, $wpdb;
    
    require_once 'cfc-constant.php';
    
    // Load plugin with plugins_load
    function cfc_init() {
        require_once CFC_PLUGIN_PATH . 'includes/class-cfc-init.php';
    }
    add_action( 'plugins_loaded', 'cfc_init', 20 );


    function cfc_registration_activation_init_callback(){
    	require_once CFC_PLUGIN_PATH . 'includes/class-registration-activation-init.php';
    }	
    register_activation_hook( __FILE__, 'cfc_registration_activation_init_callback' );

    /*
    *This is for testing purpose only. we will remove "cfc_registration_deactivation_init_callback" at the end. This functinality will be handle when plugin get uninstalled
    */
    function cfc_registration_deactivation_init_callback(){
        global $wpdb, $wp_version;
        
        require_once 'cfc-constant.php';

        $cfc_onboarding_status      = get_option( 'cfc-onboarding-status' );
        
        /*
        DELETE SHOP START HERE
        */
        $CFC_ACCESS_TOKEN       = $cfc_onboarding_status['stripe_data']['access_token'];

        $headers = array(
                            "Accept"        => "application/json",
                            "Content-Type"  => "application/json",
                            "Authorization" =>  "Bearer ".$CFC_ACCESS_TOKEN
                        );

        $args = array(
                        'headers'       => $headers,
                        'timeout'       => 120,
                        'httpversion'   => '1.1',
                        'sslverify'     => false,
                        'method'        => 'DELETE',
                    );

        $response       = wp_remote_request( CFC_API_LARAVEL_URL."api/shops", $args );
        $responseBody   = wp_remote_retrieve_body( $response );
        $responseBody   = json_decode( $responseBody, true );
        /*DELETE SHOP END HERE*/

        /*
        *Delete all the option related to the carbon click plugin
        */

        delete_option( 'cfc-onboarding-status' );
        delete_option( 'cfc_settings_options' );
        delete_option( 'cfc_look_and_feel_options' );
        delete_option( 'cfc-global-notice' );
        delete_option( 'cfc-charge-status' );
        delete_option( 'cfc_carbonclick_config' );
        
        delete_transient( 'cfc_carbonclick_api_expiration_check' );
        delete_transient( 'cfc_carbonclick_api_impact_data_on_cart' );
    }
    register_deactivation_hook( __FILE__, 'cfc_registration_deactivation_init_callback' );
?>