<?php
	$total_orders = $orders_with_offset_count = 0;
	$all_carbonOffsetImpact = $all_contributorImpact = $all_carbonOffsetImpact_Unit = 0;
	$merchant_carbonOffsetImpact = $merchant_contributorImpact = $merchant_carbonOffsetImpact_Unit = 0;

	$cfc_onboarding_status      = get_option( 'cfc-onboarding-status' );
	
	/*
	* If there is access token then only execute the functions
	*/
	
	$cfc_carbonclick_api        = new CFC_Carbonclick_Laravel_API();
	$response_all               = $cfc_carbonclick_api->cfc_carbonclick_impact_all();
	$response_all				= json_decode($response_all, true);

	
	$response_merchant          = $cfc_carbonclick_api->cfc_carbonclick_impact_merchant();
	$response_merchant			= json_decode($response_merchant, true);
	

	/*
	* Overall Impact Data
	*/
	if($response_all['contributorImpact']){
		$all_contributorImpact 	= number_format( $response_all['contributorImpact']['value'] );
		if(!$all_contributorImpact){
			$all_contributorImpact = "N/A";
		}
	}

	if($response_all['carbonOffsetImpact']){
		$all_carbonOffsetImpact 		=  $response_all['carbonOffsetImpact']['value'];
		$all_carbonOffsetImpact_Unit 	= $response_all['carbonOffsetImpact']['unit'];
		if(CFC_WEIGHT_UNIT_IN_WOO == "lbs"){

			$all_carbonOffsetImpact 		= number_format( round( $all_carbonOffsetImpact / CFC_KG_TO_LB, 0, PHP_ROUND_HALF_UP ) );
			$all_carbonOffsetImpact_Unit 	= "LBS";

		}else if(CFC_WEIGHT_UNIT_IN_WOO == "oz"){
			
			$all_carbonOffsetImpact 		= number_format( round( $all_carbonOffsetImpact / CFC_KG_TO_OZ, 0, PHP_ROUND_HALF_UP ) );
			$all_carbonOffsetImpact_Unit 	= "OZ";

		}else{
			$all_carbonOffsetImpact 		=  number_format( round( $response_all['carbonOffsetImpact']['value'], 0, PHP_ROUND_HALF_UP  ) );
		}
	}


	/*
	* Merchant Impact Data
	*/
	if($response_merchant['contributorImpact']){
		$merchant_contributorImpact = number_format( $response_merchant['contributorImpact']['value'] );
		if(!$merchant_contributorImpact){
			$merchant_contributorImpact = "N/A";
		}
	}

	if($response_merchant['carbonOffsetImpact']){
		$merchant_carbonOffsetImpact 		= $response_merchant['carbonOffsetImpact']['value'];
		$merchant_carbonOffsetImpact_Unit 	= $response_merchant['carbonOffsetImpact']['unit'];

		if(CFC_WEIGHT_UNIT_IN_WOO == "lbs"){

			$merchant_carbonOffsetImpact 		= number_format( round( $merchant_carbonOffsetImpact / CFC_KG_TO_LB, 0, PHP_ROUND_HALF_UP ) );
			$merchant_carbonOffsetImpact_Unit 	= "LBS";

		}else if(CFC_WEIGHT_UNIT_IN_WOO == "oz"){

			$merchant_carbonOffsetImpact 		= number_format( round( $merchant_carbonOffsetImpact / CFC_KG_TO_OZ, 0, PHP_ROUND_HALF_UP ) );
			$merchant_carbonOffsetImpact_Unit 	= "OZ";

		}else{

			$merchant_carbonOffsetImpact 		= number_format( round( $response_merchant['carbonOffsetImpact']['value'], 0, PHP_ROUND_HALF_UP ) );

		}
	}

	/*Zero Value Validation*/
	if(!$merchant_carbonOffsetImpact){
		$merchant_carbonOffsetImpact 		= "N/A";
		$merchant_carbonOffsetImpact_Unit 	= "";
	}

	if(!$all_carbonOffsetImpact){
		$all_carbonOffsetImpact 		= "N/A";
		$all_carbonOffsetImpact_Unit 	= "";
	}
?>

<div class="cfc-dashboard-top-banner">
	<p class="cfc-dashboard-banner">Thank you for being one of <strong><?php echo $this->get_order_data_for_dashboard('merchant_count'); ?> merchants</strong> in our climate action movement!</p>

	<p class="cfc-dashboard-banner subtext">Together we have enabled <strong><?php echo  $all_contributorImpact ; ?></strong> people to offset <strong><?php echo  $all_carbonOffsetImpact ; ?> <?php echo $all_carbonOffsetImpact_Unit; ?></strong></p>
</div>

<div class="cfc-dashboard-metrics values">
	<div class="alignmentCenter">
		<div class="cfc-dashboard-metric-item">
			<p class="cfc-dashboard-metric-text size-large"><?php echo $this->get_order_data_for_dashboard(); ?></p>
			<p class="cfc-dashboard-metric-label">Orders with offsets</p>
		</div>

		<div class="cfc-dashboard-metric-item">
			<p class="cfc-dashboard-metric-text size-large"><?php echo $this->get_order_data_for_dashboard('offsets_collected'); ?></p>
			<p class="cfc-dashboard-metric-label">Offsets collected</p>
		</div>

		<div class="cfc-dashboard-metric-item">
			<p class="cfc-dashboard-metric-text size-large">
				<?php echo $merchant_carbonOffsetImpact; ?> <?php echo $merchant_carbonOffsetImpact_Unit; ?>
			</p>
			<p class="cfc-dashboard-metric-label">CO2 offset</p>
		</div>

		<div class="cfc-dashboard-metric-item">
			<p class="cfc-dashboard-metric-text size-large"><?php echo $merchant_contributorImpact; ?></p>
			<p class="cfc-dashboard-metric-label">Climate heroes</p>
		</div>
	</div>
</div>

<div class="dashboard-card-sections">
    <div class="dashboard-card-left">
    <div class="dashboard-card-left-inner">
		<div class="dashboard-single-section">
			<h2 class="card-title heading">Your sustainability journey</h2>
			<div class="card-content">
				Power up your sustainability with CarbonClick. We’ve put together a checklist of things for you to do in order to get the most out of Climate Friendly Cart. Remember - sustainable businesses have more loyal customers, higher conversion rates and a lower impact on the planet.
			</div>
		</div>

		<div class="dashboard-single-section">
			<h2 class="card-title">ADD THE CART SNIPPET TO YOUR CHECKOUT</h2>
			<div class="card-content">
				Climate friendly cart’s installation process has 2 steps. Step 1: Install the app. Because you’re here, that means you’ve done that part! Nice! Step 2: Get the Climate friendly cart widget installed on your checkout; either by us or on your own.
			</div>
			<div class="card-content-bottom">
	            <a href="https://carbonclick.com/business-shopify-install" target="_blank">To see the installation instructions click here</a>
	            <div class="toggle-button">
	                <label class="switch">
	                  	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_installation_instruction'], 1); ?> class="dashboard-card-checkbox" name="dashboard_installation_instruction">
	                  	<span class="slider"></span>
	                </label>
	            </div>
			</div>
		</div>

		<div class="dashboard-single-section">
			<h2 class="card-title">CHECK IF THE “GREEN BUTTON” IS ENABLED ON YOUR CHECKOUT</h2>
			<div class="card-content">
				If you asked us to install the widget for you, we’ll enable the cart on your behalf and you’ll get an email. Otherwise, head over to the settings page to enable it yourself.
			</div>
			<div class="card-content-bottom">
				<a href="<?php echo CFC_SETTINGS_URL; ?>" target="_blank">Open the settings page</a>
				<div class="toggle-button">
				    <label class="switch">
		              	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_settings_page'], 1); ?> class="dashboard-card-checkbox" name="dashboard_settings_page">
		              	<span class="slider"></span>
		            </label>
				</div>
			</div>
		</div>

		<div class="dashboard-single-section">
			<h2 class="card-title">TAKE ACTION WITH OUR ONBOARDING KIT</h2>
			<div class="card-content">
				We’ve put together a guide to get you started with climate friendly cart, including social tiles, images, and messaging you can use to promote your sustainability
			</div>
			<div class="card-content-bottom">
				<a href="https://carbonclick.com/climate-warrior-onboarding-kit" target="_blank">To get started click here</a>
				<div class="toggle-button">
	                <label class="switch">
	                  	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_get_started'], 1); ?> class="dashboard-card-checkbox" name="dashboard_get_started">
	                  	<span class="slider"></span>
	                </label>
	            </div>
			</div>
		</div>

		<div class="dashboard-single-section">
			<h2 class="card-title">LEARN ABOUT THE FOOTPRINT OF YOUR STORE AND TAKE ACTION TO REDUCE IT</h2>
			<div class="card-content">
				The steps involved in reducing your emissions is to understand your emissions, measure and reduce. Reducing your emissions often results in cost savings, so addressing these makes huge sense.
			</div>
			<div class="card-content-bottom">
				<a href="https://carbonclick.com/ecommerce_footprint_guide/" target="_blank">Check out our guide</a>
				<div class="toggle-button">
		            <label class="switch">
		              	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_guide'], 1); ?> class="dashboard-card-checkbox" name="dashboard_guide">
		              	<span class="slider"></span>
		            </label>
		        </div>
			</div>
		</div>

		<div class="dashboard-single-section">
			<h2 class="card-title">REDUCE AND OFFSET YOUR PERSONAL FOOTPRINT</h2>
			<div class="card-content">
				Show leadership by addressing your own footprint. With My CarbonClick you can get a monthly plan to offset your footprint - and learn how to reduce it.
			</div>
			<div class="card-content-bottom">
				<a href="https://www.carbonclick.com/individuals" target="_blank">Head over to My CarbonClick</a>
				<div class="toggle-button">
	                <label class="switch">
	                  	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_head_over'], 1); ?> class="dashboard-card-checkbox" name="dashboard_head_over">
	                  	<span class="slider"></span>
	                </label>
	            </div>
			</div>
		</div>

		<div class="dashboard-single-section">
			<h2 class="card-title">PUBLISH A SUSTAINABILITY PAGE OR A SUSTAINABILITY STATEMENT</h2>
			<div class="card-content">
				By announcing you’re taking CarbonAction on your climate impact, you’ll start reaping the rewards. Remember, be genuine - not only does it make sense for the planet, but for your bottom line! This is also a great spot to add a statement saying you’re partnered with CarbonClick.
			</div>
			<div class="card-content-bottom">
				<a href="https://carbonclick.com/climate-warrior-onboarding-kit/#sustainability_statement" target="_blank">For a template to use, click here</a>
				<div class="toggle-button">
	                <label class="switch">
	                  	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_template_to_use'], 1); ?> class="dashboard-card-checkbox" name="dashboard_template_to_use">
	                  	<span class="slider"></span>
	                </label>
	            </div>
			</div>
		</div>


		<div class="dashboard-single-section">
			<h2 class="card-title">ADD YOUR SUSTAINABILITY BADGE</h2>
			<div class="card-content">
				We’ve created a badge of honour for you to put on your website to show your commitment to sustainability.
			</div>
			<div class="card-content-bottom">
				<a href="https://carbonclick.com/climate-warrior-onboarding-kit/#badge" target="_blank">Check the badge here</a>
				<div class="toggle-button">
	                <label class="switch">
	                  	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_badge_here'], 1); ?> class="dashboard-card-checkbox" name="dashboard_badge_here">
	                  	<span class="slider"></span>
	                </label>
	            </div>
			</div>
		</div>

		<div class="dashboard-single-section">
			<h2 class="card-title">GO SOCIAL</h2>
			<div class="card-content">
				Start spreading the word about going green with our recommended social posts.
			</div>
			<div class="card-content-bottom">
				<a href="https://carbonclick.com/climate-warrior-onboarding-kit/#social_posts" target="_blank">See our social post ideas and images here</a>
				<div class="toggle-button">
	                <label class="switch">
	                  	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_social_post_ideas'], 1); ?> class="dashboard-card-checkbox" name="dashboard_social_post_ideas">
	                  	<span class="slider"></span>
	                </label>
	            </div>
			</div>
		</div>

		<div class="dashboard-single-section">
			<h2 class="card-title">PERSONALISE YOUR COLOURS</h2>
			<div class="card-content">
				Make our plugin your own by customising the colours. Remember, if you can, keep the green button as it’s part of our brand, easily recognisable and converts well
			</div>
			<div class="card-content-bottom">
				<a href="<?php echo CFC_LOOK_AND_FEEL_URL; ?>" target="_blank">Open the Look and feel page</a>
				<div class="toggle-button">
	                <label class="switch">
	                  	<input type="checkbox" value="1" <?php echo checked($cfc_onboarding_status['dashboard_look_and_feel'], 1); ?> class="dashboard-card-checkbox" name="dashboard_look_and_feel">
	                  	<span class="slider"></span>
	                </label>
	            </div>
			</div>
		</div>
	</div>
	</div>

	<div class="dashboard-card-left dashboard-card-right">
     	<div class="dashboard-card-left-inner">
		    <div class="dashboard-single-section">
				<h2 class="card-title">CLIMATE FRIENDLY REWARDS</h2>
				<div class="card-content">
					Give your internal sustainability initiatives a boost. Start offsetting business emissions? Or give it away to a charity. Climate Friendly Rewards has you covered.
				</div>
				<p class="small-text">Available when rewards accumulate to US$50. Paid/redeemed quarterly.</p>
				<div class="card-content-bottom">
					<a href="<?php echo CFC_FRIENDLY_REWARD_URL; ?>" target="_blank">Your rewards balance: </a>
					<a class="reward-btn" href="<?php echo CFC_FRIENDLY_REWARD_URL; ?>" target="_blank">View Climate Friendly Rewards</a>
				</div>
			</div>
		</div>
	</div>
</div>