<?php
    /**
    * CarbonClick Uninstall
    *
    */

    // if uninstall.php is not called by WordPress, die
    if (!defined('WP_UNINSTALL_PLUGIN')) {
        die;
    }

    
    global $wpdb, $wp_version;
    
    require_once 'cfc-constant.php';

    $cfc_onboarding_status      = get_option( 'cfc-onboarding-status' );
    
    /*
    DELETE SHOP START HERE
    */
    $CFC_ACCESS_TOKEN       = $cfc_onboarding_status['stripe_data']['access_token'];

    $headers = array(
                        "Accept"        => "application/json",
                        "Content-Type"  => "application/json",
                        "Authorization" =>  "Bearer ".$CFC_ACCESS_TOKEN
                    );

    $args = array(
                    'headers'       => $headers,
                    'timeout'       => 120,
                    'httpversion'   => '1.1',
                    'sslverify'     => false,
                    'method'        => 'DELETE',
                );

    $response       = wp_remote_request( CFC_API_LARAVEL_URL."api/shops", $args );
    $responseBody   = wp_remote_retrieve_body( $response );
    $responseBody   = json_decode( $responseBody, true );
    /*DELETE SHOP END HERE*/

    /*
    *Delete all the option related to the carbon click plugin
    */
    delete_option( 'cfc-onboarding-status' );
    delete_option( 'cfc_settings_options' );
    delete_option( 'cfc_look_and_feel_options' );
    delete_option( 'cfc-global-notice' );
    delete_option( 'cfc-charge-status' );
    delete_option( 'cfc_carbonclick_config' );
    
    delete_transient( 'cfc_carbonclick_api_expiration_check' );
    delete_transient( 'cfc_carbonclick_api_impact_data_on_cart' );

?>    